<template>
    <div class="search-wrapper">
        <div class="search-header">
            <div class="common" @click="router.push(`/`);">
                <div class="common-logo">
                    <img src="../assets/logo.png" alt="logo">
                </div>
            <div class="common-text">
                <p class="common-label">Платформа &laquo;Техэксперт&raquo;</p>
                <div class="common-block">
                    <p class="common-header">Корпоративный поиск</p>
                </div>
            </div>
            </div>
            <SearchingComponent
             :width="'30%'"
             :height="'3rem'"
             :colors="{
                txt: '#ffff',
                inptBgr: '#1C2128',
                mainBgr: '#1C2128'
             }"
             :dropdown-params="{
              width: '30%',
              arrow: { right: '50px', show: true },
              position:{ right: '0', top: '9%' }
            }"
             v-model:searchInputValue="searchInputValue"
            >
            </SearchingComponent>
        </div>
        <div class="search-body">
            <BaseTabsList
             :tabs="[
                'Все источники',
                'Информационно-справочная подсистема',
                'Банк документов',
             ]"

             v-model:selected="selected"
            >
                <BaseTabItem :isSelected="selected === 'Все источники'">
                <p>Все источники</p>
                </BaseTabItem>
                <BaseTabItem :isSelected="selected === 'Информационно-справочная подсистема'">
                <p>Информационно-справочная подсистема</p>
                </BaseTabItem>
                <BaseTabItem :isSelected="selected === 'Банк документов'">
                <p>Банк документов</p>
                </BaseTabItem>
            </BaseTabsList>
        </div>
       

    </div>
</template>

<script setup>
const router = useRouter();
const selected = ref('Все источники');
const searchInputValue = ref('');

</script>

<style lang="sass" scoped>
@import '/assets/styles/_variables.sass'
.search
    &-wrapper
        height: 100vh
        
    &-header
        padding: 2rem
        background: #303842
        display: flex
        justify-content: space-between
        align-items: center
.common
    display: flex
    padding: 0rem 3rem 0rem 0rem
    gap: 1rem
    cursor: pointer
    &-logo
        display: flex
        align-items: center
    &-header
        font-size: $fz * 2
        line-height: 1
        margin: 0 0 1rem
        color: #FFFFFF
    &-text
        display: flex
        flex-direction: column
        justify-content: space-between
    &-label
        margin-bottom: .5rem
        color: #777B82
    &-block
        border-right: 1px solid #464D55

</style>